Subject: problem: create a dll
From: [email-masked]

24 Apr 1998 10:53:55 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hello

I would create a dll under win95, but it doesnt work. 
The example from cygnus also doesnt work.
The compiler report no errors and create a dll and an executable, but if
i try to execute the program, my system says only "unknown file format".

For the example i use the dlldemo.bat with all of the c,h,def - files

dll.c
--------------------------------------------
#include <windows.h>

int test()
{ 
  return 3;
}

WINAPI dll_entry(int a,int b,int c)
{
  return 1;
}

exe.c
---------------------------------
#include <stdio.h> 

const char *in_a_dll(char a);
 
main() 
{ 
  printf("Hello here I am ");
  printf("%d\n", test); // If I delete this line the program starts
}
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".